# ik_ISoundStopEventReceiver.h File Reference

`#include "ik_IRefCounted.h"`
`#include "ik_SAudioStreamFormat.h"`

Go to the source code of this file.

## Classes
class | irrklang::ISoundStopEventReceiver
| Interface to be implemented by the user, which recieves sound stop events. More...
## Namespaces
namespace | irrklang

| Everything in the irrKlang Sound Engine can be found in this namespace.
## Enumerations
enum | irrklang::E_STOP_EVENT_CAUSE { irrklang::ESEC_SOUND_FINISHED_PLAYING = 0, irrklang::ESEC_SOUND_STOPPED_BY_USER, irrklang::ESEC_SOUND_STOPPED_BY_SOURCE_REMOVAL, irrklang::ESEC_FORCE_32_BIT = 0x7fffffff }
| An enumeration listing all reasons for a fired sound stop event. More...

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)